/* Copyright (c) 1994-95 by Mark Hill, James Larus, and David Wood for
 * the Wisconsin Wind Tunnel Project.
 *
 * ALL RIGHTS RESERVED.
 *
 * This software is furnished under a license and may be used and
 * copied only in accordance with the terms of such license and the
 * inclusion of the above copyright notice.  This software or any other
 * copies thereof or any derivative works may not be provided or
 * otherwise made available to any other persons.  Title to and ownership
 * of the software is retained by Mark Hill, James Larus, and David Wood.
 * Any use of this software must include the above copyright notice.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  THE LICENSOR MAKES NO
 * WARRANTIES ABOUT ITS CORRECTNESS OR PERFORMANCE.
 *
 * This source file is part of the Wisconsin Wind Tunnel,
 * originally written by Steven K. Reinhardt and David A. Wood,
 * and subsequently maintained and enhanced by Steven K. Reinhardt,
 * Babak Falsafi, and Alvin R. Lebeck.
 *
 */
/*---------------------------------*/
/* geometry.h                      */
/*---------------------------------*/
/* header file for geometry.c      */
/* and nspher.c                    */
/*---------------------------------*/
/* programmed by Frank Traenkle    */
/*---------------------------------*/

/*----------------------------*/
/* STRUCTs                    */
/*----------------------------*/ 
typedef struct _GEO 
{
  FPTYPE afpP1[3];   /* vertices */
  FPTYPE afpP2[3];
  FPTYPE afpP3[3];
  FPTYPE afpU1[3];   /* vectors of edges */
  FPTYPE afpU2[3];
  FPTYPE afpX[3];    /* centroid */
  FPTYPE afpN[3];    /* normal vector */
  FPTYPE fpDA;       /* area */
  FPTYPE fpJacob;    /* Jacobian */
} GEO, *PGEO;
  
/*----------------------------*/
/* PROTOTYPEs                 */
/*----------------------------*/ 
extern USHORT CreateGeometry();
extern void CloseGeometry();
extern void GetElementAll();
